Bug 2244377 - Review Request: hyprland - Dynamic tiling Wayland compositor that doesn't sacrifice on its looks
Summary: Review Request: hyprland - Dynamic tiling Wayland compositor that doesn't sac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/hyprwm/Hyprland
Whiteboard:
Depends On: 2244285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-16 09:33 UTC by Pavel Solovev
Modified: 2023-11-05 20:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-05 20:16:25 UTC
Type: ---
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)

Description Pavel Solovev 2023-10-16 09:33:15 UTC
Spec URL: https://solopasha.fedorapeople.org/reviews/hyprland/hyprland.spec
SRPM URL: https://solopasha.fedorapeople.org/reviews/hyprland/hyprland-0.30.0-1.fc39.src.rpm

Description:
Hyprland is a dynamic tiling Wayland compositor based on wlroots that doesn't
sacrifice on its looks. It supports multiple layouts, fancy effects, has a
very flexible IPC model allowing for a lot of customization, a powerful
plugin system and more.

Comment 4 Benson Muite 2023-10-29 12:18:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License", "BSD 2-Clause
     License", "MIT License", "GNU Lesser General Public License v2.1 or
     later", "NTP License (legal disclaimer) Historical Permission Notice
     and Disclaimer - sell variant", "*No copyright* MIT License", "FSF All
     Permissive License", "*No copyright* Creative Commons CC0 1.0". 708
     files have unknown license. Detailed output of licensecheck in
     /home/fedora/2244377-hyprland/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/xdg-desktop-portal
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 7188480 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hyprland-0.31.0-1.fc40.aarch64.rpm
          hyprland-devel-0.31.0-1.fc40.aarch64.rpm
          hyprland-debuginfo-0.31.0-1.fc40.aarch64.rpm
          hyprland-debugsource-0.31.0-1.fc40.aarch64.rpm
          hyprland-0.31.0-1.fc40.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpkkondfsg')]
checks: 31, packages: 5

hyprland-devel.aarch64: W: no-documentation
hyprland-debugsource.aarch64: E: files-duplicated-waste 132404
 5 packages and 0 specfiles checked; 1 errors, 1 warnings, 1 badness; has taken 2.7 s 




Rpmlint (debuginfo)
-------------------
Checking: hyprland-debuginfo-0.31.0-1.fc40.aarch64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmph5p4re64')]
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 1.3 s 





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

hyprland-devel.aarch64: W: no-documentation
hyprland-debugsource.aarch64: E: files-duplicated-waste 132404
 4 packages and 0 specfiles checked; 1 errors, 1 warnings, 1 badness; has taken 2.8 s 



Source checksums
----------------
https://github.com/hyprwm/Hyprland/releases/download/v0.31.0/source-v0.31.0.tar.gz :
  CHECKSUM(SHA256) this package     : 863bf5ba1051f223a30efeb0160846784e9b68266d95c7a1c8bac36b19122536
  CHECKSUM(SHA256) upstream package : 863bf5ba1051f223a30efeb0160846784e9b68266d95c7a1c8bac36b19122536


Requires
--------
hyprland (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libEGL.so.1()(64bit)
    libGLESv2.so.2()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdisplay-info.so.1()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgcc_s.so.1(GCC_4.5.0)(64bit)
    libgobject-2.0.so.0()(64bit)
    libinput.so.10()(64bit)
    libinput.so.10(LIBINPUT_0.12.0)(64bit)
    libinput.so.10(LIBINPUT_0.14.0)(64bit)
    libinput.so.10(LIBINPUT_0.19.0)(64bit)
    libinput.so.10(LIBINPUT_0.20.0)(64bit)
    libinput.so.10(LIBINPUT_0.21.0)(64bit)
    libinput.so.10(LIBINPUT_1.1)(64bit)
    libinput.so.10(LIBINPUT_1.15)(64bit)
    libinput.so.10(LIBINPUT_1.19)(64bit)
    libinput.so.10(LIBINPUT_1.2)(64bit)
    libinput.so.10(LIBINPUT_1.23)(64bit)
    libinput.so.10(LIBINPUT_1.3)(64bit)
    libinput.so.10(LIBINPUT_1.4)(64bit)
    libinput.so.10(LIBINPUT_1.5)(64bit)
    libinput.so.10(LIBINPUT_1.7)(64bit)
    libliftoff.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpixman-1.so.0()(64bit)
    libseat.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_209)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-server.so.0()(64bit)
    libxcb-composite.so.0()(64bit)
    libxcb-dri3.so.0()(64bit)
    libxcb-ewmh.so.2()(64bit)
    libxcb-icccm.so.4()(64bit)
    libxcb-present.so.0()(64bit)
    libxcb-render-util.so.0()(64bit)
    libxcb-render.so.0()(64bit)
    libxcb-res.so.0()(64bit)
    libxcb-shm.so.0()(64bit)
    libxcb-xfixes.so.0()(64bit)
    libxcb-xinput.so.0()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    libxkbcommon.so.0(V_0.8.0)(64bit)
    rtld(GNU_HASH)
    xorg-x11-server-Xwayland(aarch-64)

hyprland-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    hyprland(aarch-64)

hyprland-debuginfo (rpmlib, GLIBC filtered):

hyprland-debugsource (rpmlib, GLIBC filtered):



Provides
--------
hyprland:
    bundled(udis86)
    bundled(wlroots)
    hyprland
    hyprland(aarch-64)

hyprland-devel:
    hyprland-devel
    hyprland-devel(aarch-64)
    pkgconfig(hyprland)

hyprland-debuginfo:
    debuginfo(build-id)
    hyprland-debuginfo
    hyprland-debuginfo(aarch-64)

hyprland-debugsource:
    hyprland-debugsource
    hyprland-debugsource(aarch-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2244377
Buildroot used: fedora-rawhide-aarch64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Python, R, Haskell, Perl, Ocaml, SugarActivity, Java, PHP, fonts
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH
a) Might consider using
Source: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
and then updating
%autosetup -n %{name}-source 
to
%autosetup -n Hyprland-%{version}
See:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_tags
b) Builds on all architectures:
https://koji.fedoraproject.org/koji/taskinfo?taskID=108272746
c) May need to add
%dir %{_datadir}/xdg-desktop-portal
to the spec file or require:
https://src.fedoraproject.org/rpms/xdg-desktop-portal
which owns
%dir %{_datadir}/xdg-desktop-portal

Comment 5 Benson Muite 2023-10-29 12:33:41 UTC
It seems that Gentoo and have a separate package for xdg-portal-hyprland:
https://wiki.hyprland.org/Getting-Started/Installation/
https://wiki.gentoo.org/wiki/Hyprland
https://www.freshports.org/x11/xdg-desktop-portal-hyprland/
https://github.com/hyprwm/xdg-desktop-portal-hyprland
Maybe it is worth adding it in future.

Comment 7 Pavel Solovev 2023-10-29 18:07:45 UTC
>a) Might consider using
>Source: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

It won't contain git submodules. Upstream also generates version information in the release tarball https://github.com/hyprwm/Hyprland/blob/af9440152e19cee74b675e53087e032b9ccb5459/.github/workflows/release.yaml#L21

>c) May need to add
>%dir %{_datadir}/xdg-desktop-portal
>to the spec file or require:
>https://src.fedoraproject.org/rpms/xdg-desktop-portal

fixed

>It seems that Gentoo and have a separate package for xdg-portal-hyprland:
xdg-desktop-portal-hyprland: https://bugzilla.redhat.com/show_bug.cgi?id=2244378


Spec URL: https://solopasha.fedorapeople.org/reviews/hyprland/hyprland.spec
SRPM URL: https://solopasha.fedorapeople.org/reviews/hyprland/hyprland-0.31.0-1.fc39.src.rpm

Comment 8 Fedora Review Service 2023-10-30 15:44:38 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6581891
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244377-hyprland/fedora-rawhide-x86_64/06581891-hyprland/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 9 Fedora Review Service 2023-10-30 15:46:23 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6581889
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2244377-hyprland/fedora-rawhide-x86_64/06581889-hyprland/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 10 Benson Muite 2023-11-05 19:48:38 UTC
Looks good. Approved.

Comment 11 Pavel Solovev 2023-11-05 19:52:03 UTC
Thank you for the review, Benson

Comment 12 Fedora Admin user for bugzilla script actions 2023-11-05 19:52:14 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/hyprland

Comment 13 Fedora Update System 2023-11-05 20:14:13 UTC
FEDORA-2023-181a35b464 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-181a35b464

Comment 14 Fedora Update System 2023-11-05 20:16:25 UTC
FEDORA-2023-181a35b464 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.